<?php include 'includes/head.php'; ?>

<?php include 'includes/header.php'; ?>

	<section class="main">
		<div class="banner position-relative">
			<video class="lozad" autoplay muted playsinline loop>
				<source data-src="assets/video/banner.mp4" type="video/mp4" />
			</video>
			<div class="overlay position-relative py-5 h-100 lozad bg" data-background-image="assets/img/overlay.webp">
				<img class="lozad ban-img" alt="book marketing services" data-src="assets/img/christmas-ban.webp">
				<div class="container-xl  mt-5">
					<div class="row py-5 mt-5 mt-md-0 text-center justify-content-center">
						<div class="col-lg-9 col-md-10  py-5 mt-5 mt-md-0">

							<h1 class="f-55 clr-2 fw-700"><span class="brush d-block lozad clr-l"
									data-background-image="assets/img/brush.svg">Boost</span>
								<span class="clr-2"> The Ultimate Solution To Increase Your Book <span
										id="text">Marketing</span> Sales In USA</span>
							</h1>


							<div class="row justify-content-center align-items-center">
								<div class="col-lg-3 col-md-4 col-2">
									<a href="tel:+18556963528" aria-label="Call Us now to discuss you project"
										class="icona d-flex align-items-center  justify-content-end text-end">

										<span class="d-none d-md-block"><span class="clr-1 fw-700">Call Now</span>
											<br>
											<span class="fw-700">+1 855-696-3528</span></span>
										<span class="icon-phone ms-2 icon"></span>
									</a>
								</div>
								<div class="col-lg-3  col-md-4 col-8">
									<button class="w-100" data-bs-toggle="modal" data-bs-target="#quote">
										★ ★ Get Started ★ ★
									</button>
								</div>
								<div class="col-lg-3 col-md-4 col-2">

									<a href="javascript:void(Tawk_API.toggle())"
										aria-label="Chat with a publishing expert"
										class="chat icona text-start d-flex align-items-center  justify-content-start">
										<span class="icon-chat me-2 icon"></span>
										<span class="d-none d-md-block"><span class="clr-1 fw-700">Let's Talk</span>
											<br>
											<span class="fw-700">Chat With Us</span></span>
									</a>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>

	<section class="bg-2 py-3 platforms">
		<div class="container-xl">
			<div class="slider">
				<div class="item p-3">
					<img alt="book promotion company" data-lazy="assets/img/feature-1.webp">
				</div>
				<div class="item p-3">
					<img alt="book marketing agency" data-lazy="assets/img/feature-2.webp">
				</div>
				<div class="item p-3">
					<img alt="professional book marketing" data-lazy="assets/img/feature-3.webp">
				</div>
				<div class="item p-3">
					<img alt="author marketing services" data-lazy="assets/img/feature-4.webp">
				</div>
				<div class="item p-3">
					<img alt="book publicity services" data-lazy="assets/img/feature-5.webp">
				</div>
				<div class="item p-3">
					<img alt="book promotion strategies" data-lazy="assets/img/feature-6.webp">
				</div>
				<div class="item p-3">
					<img alt="book marketing experts" data-lazy="assets/img/feature-7.webp">
				</div>
				<div class="item p-3">
					<img alt="book launch marketing" data-lazy="assets/img/feature-8.webp">
				</div>
			</div>
		</div>
	</section>

	<section class="py-5 services text-center text-md-start">
		<div class="container-xl mt-5">
			<div class="row justify-content-center text-center">
				<div class="ol-lg-10 col-md-11 col-xxl-9 col-xl-10">
					<h2 class="f-40 fw-700 clr-2">Now Reach Out to More and Correct Audience Globally With the American
						Book League Services </h2>
					<p>Take your book to readers across the globe with the Mystical Publishers. We are experts in
						bridging the gap between authors and their target audience, ensuring your book gets the
						attention it deserves. Leveraging the right marketing strategies. Our expert teams work to
						maximize your book and reach new heights of success. Whether you are launching your first book
						or working on an established portfolio. We provide customized solutions to help you connect to
						the target audience around the globe. .</p>
				</div>
			</div>
		</div>
		<div class="container-xl ">
			<div class="row ">
				<div class="col-xl-5 align-self-center	col-md-6">
					<h3 class="clr-2 fw-700 f-34">
						Get In Touch with the Top Mystical Publishers Services
					</h3>
					<p>At the Mystical Publishers, with dedicated years of experience, we are now a leading book
						marketing agency. Offering a wide range of book marketing services to enhance your book's impact
						and help you make a visible place in a crowded marketplace. Our customized strategies are
						crafted to attract the right readers, ensuring you stand out in a competitive marketplace. </p>
					<div class="row align-items-center">
						<div class="col-lg-5 col-md-6 col-10">
							<button class="w-100" data-bs-toggle="modal" data-bs-target="#quote">
								★ ★ Get Started ★ ★
							</button>
						</div>
						<div class="col-lg-5 col-md-6 col-2">
							<a href="tel:+18556963528" aria-label="Call Us now to discuss you project"
								class="icona d-flex align-items-center  justify-content-start text-start">
								<span class="icon-phone me-2 icon"></span>
								<span class="d-none d-md-block"><span class="clr-1 fw-700">Call Now</span><br>
									<span class="fw-700">+1 855-696-3528</span></span>
							</a>
						</div>
					</div>
				</div>
				<div class="col-xl-7 col-md-6 position-relative pt-4 mt-4 mt-md-0 pe-0">
					<div class="slider">
						<div class="item py-5 px-3">
							<div class="service">
								<div class="image">
									<img alt="online book promotion" data-lazy="assets/img/smm.webp">
								</div>
								<div class="content">
									<h4 class="f-18 fw-700 clr-2">Social Media Marketing</h4>
									<p>Now, improve your book presence with our social media marketing, using advanced
										strategies to increase leads and bring organic growth. To help you achieve your
										goal. Our marketing team creates impressive strategies that engage readers and
										help you build an attractive portfolio. </p>
									<button class="w-100" data-bs-toggle="modal" data-bs-target="#quote">
										★ ★ Get Started ★ ★
									</button>
								</div>
							</div>
						</div>
						<div class="item py-5 px-3">
							<div class="service">
								<div class="image">
									<img alt="online book promotion" data-lazy="assets/img/amazon.webp">
								</div>
								<div class="content">
									<h4 class="f-18 fw-700 clr-2">Search Engine Optimization</h4>
									<p>Through our SEO services, you can rank highly on various platforms. We help you
										rank higher in search engine results, driving more sales and traffic to your
										sales pages. </p>
									<button class="w-100" data-bs-toggle="modal" data-bs-target="#quote">
										★ ★ Get Started ★ ★
									</button>
								</div>
							</div>
						</div>
						<div class="item py-5 px-3">
							<div class="service">
								<div class="image">
									<img alt="book marketing campaign" data-lazy="assets/img/seo.webp">
								</div>
								<div class="content">
									<h4 class="f-18 fw-700 clr-2">Content Marketing</h4>
									<p>Now, connect with your audience through engaging strategies to drive book sales.
										Our marketing strategies, such as blogs/articles, press releases, and more, are
										designed to reach your target audience. This approach aims to help you grow
										author branding with high-quality content and assign you to create a strong
										narrative. </p>
									<button class="w-100" data-bs-toggle="modal" data-bs-target="#quote">
										★ ★ Get Started ★ ★
									</button>
								</div>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</section>

	<section class="position-relative py-5">
		<div class="cta bg-2 bg clr-l text-center container-xl">
			<div class="row justify-content-center align-items-center	">
				<div class="col-lg-3 col-6 p-0  d-none d-lg-block">
					<img class="lozad cta-left" alt="Book marketing experts" data-src="assets/img/cta-left.webp">
				</div>
				<div class="col-lg-6 col-md-8 col-11 align-self-center	py-4	">
					<h2 class="f-30">Spread Your Story Far and Wide With the Mystical Publishers</h2>
					<p>Look No Further. Reach our book marketing service and take a step closer to success. Our
						professional team is available to assist you around the clock. </p>
					<div class="row justify-content-center align-items-center">
						<div class="col-lg-4 col-md-4 col-2">
							<a href="tel:+18556963528" aria-label="Call Us now to discuss you project"
								class="icona d-flex align-items-center  justify-content-end text-end">

								<span class="d-none d-md-block"><span class="clr-1 fw-700">Call Now</span><br>
									<span class="fw-700">+1 855-696-3528</span></span>
								<span class="icon-phone ms-2 icon"></span>
							</a>
						</div>
						<div class="col-lg-4  col-md-4 col-8">
							<button class="w-100" data-bs-toggle="modal" data-bs-target="#quote">
								★ ★ Get Started ★ ★
							</button>
						</div>
						<div class="col-lg-4 col-md-4 col-2">

							<a href="javascript:void(Tawk_API.toggle())" aria-label="Chat with a publishing expert"
								class="chat icona text-start d-flex align-items-center  justify-content-start">
								<span class="icon-chat me-2 icon"></span>
								<span class="d-none d-md-block"><span class="clr-1 fw-700">Let's Talk</span><br>
									<span class="fw-700">Chat With Us</span></span>
							</a>
						</div>
					</div>
				</div>
				<div class="col-lg-3 col-4 p-0 d-none d-md-block">
					<img class="lozad cta-right" alt="online book promotion" data-src="assets/img/cta-right.webp">
				</div>
			</div>
		</div>
	</section>

	<section class="py-5 text-center text-md-start">
		<div class="container-xl">
			<div class="row align-items-center">
				<div class="col-lg-6 col-md-5">
					<img class="lozad side" alt="literary marketing services" data-src="assets/img/home-side.webp">
				</div>
				<div class="col-lg-6 col-md-7">
					<h2 class="fw-700 f-34 clr-2">
						Take Your Book To the Next Level – The Premier Book Marketing Agency
					</h2>
					<p>In today’s challenging industry of the book market, using the right strategies is effective. And
						the Mystical Publishers is here to assist. We know each book has different aspects and needs
						unique marketing strategies. Our customized approach ensures that we craft an excellent
						marketing strategy that resonates with your book's genre, audience and goals. From engaging
						social media campaigns to targeted advertising, We use a variety of strategies to help your book
						stand out. </p>
					<p>Our professional teams put their heart and soul into understanding your vision and giving life to
						your words. We make sure you are connected and have the right monitoring of every progress of
						your project. Mystical Publishers ensures you focus on your perfect manuscript while we take
						care of the marketing stage. </p>
					<div class="row align-items-center">
						<div class="col-lg-5 col-md-6 col-10">
							<button class="w-100" data-bs-toggle="modal" data-bs-target="#quote">
								★ ★ Get Started ★ ★
							</button>
						</div>
						<div class="col-lg-5 col-md-6 col-2">
							<a href="tel:+18556963528" aria-label="Call Us now to discuss you project"
								class="icona d-flex align-items-center  justify-content-start text-start">
								<span class="icon-phone me-2 icon"></span>
								<span class="d-none d-md-block"><span class="clr-1 fw-700">Call Now</span><br>
									<span class="fw-700">+1 855-696-3528</span></span>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>


	<section class=" why pb-5">
		<div class="container-xl ">
			<div class="row justify-content-center text-center">
				<div class="col-lg-10 col-md-11 col-xxl-9 col-xl-10">
					<h4 class="f-40 fw-700 clr-2 mb-4">Why Choose Mystical Publishers </h4>
				</div>
				<div class="row row-cols-lg-4 row-cols-md-3 row-cols-2 justify-content-center">
					<div class="col mb-3">
						<div class="choose bg-2 py-4 px-3 clr-l">
							<img alt="indie author marketing" class="lozad" data-src="assets/img/choose-1.webp">
							<h5 class="f-18 mt-2">Comprehensive Knowledge</h5>
							We pay attention to detail; we guarantee your book's success.


						</div>
					</div>
					<div class="col mb-3">
						<div class="choose bg-2 py-4 px-3 clr-l">
							<img alt="book marketing plan" class="lozad" data-src="assets/img/choose-2.webp">
							<h5 class="f-18 mt-2">Commitment to Sucess</h5>
							We take you along in every step of the success.


						</div>
					</div>
					<div class="col mb-3">
						<div class="choose bg-2 py-4 px-3 clr-l">
							<img alt="digital book marketing" class="lozad" data-src="assets/img/choose-3.webp">
							<h5 class="f-18 mt-2">Client Feedback</h5>
							The solution to your every problem.


						</div>
					</div>
					<div class="col mb-3">
						<div class="choose bg-2 py-4 px-3 clr-l">
							<img alt="author promotion services" class="lozad" data-src="assets/img/choose-4.webp">
							<h5 class="f-18 mt-2">Right Strategies</h5>
							We think creatively, staying one step ahead in the market.


						</div>
					</div>
				</div>
			</div>
		</div>
	</section>

	<section class="py-5 position-relative">
		<img class="lozad publishing-left" alt="book sales promotion" data-src="assets/img/publishing-left.webp">
		<img class="lozad publishing-right" alt="digital book marketing" data-src="assets/img/publishing-right.webp">
		<div class="container-xl">
			<div class="row justify-content-center text-center">
				<div class="col-lg-8 col-md-10">
					<h2 class="fw-700 f-34 clr-2">Mystical Publishers Services, Your Trusted Partner For Exceptional
						Book Publishing Solutions</h2>
					<p>At our agency, we are committed to providing excellent book publishing services. Whether you are
						pushing a service for the first time or looking to enhance your current strategies, we have
						experts available that will help you reach new heights. Our collection of services ensures your
						book transforms from every angle, book publishing from editing to design. Ensuring your book is
						published and set up for long-term success. </p>
					<p>Our team, with years of experience, has comprehensive knowledge of the publishing industry and is
						available to help you achieve your goals. Our services are tailored according to your needs.
						Taking you along at every step ensures you are satisfied at every stage of the project.</p>
					<div class="row justify-content-center align-items-center">
						<div class="col-lg-3 col-md-4 col-2">
							<a href="tel:+18556963528" aria-label="Call Us now to discuss you project"
								class="icona d-flex align-items-center  justify-content-end text-end">

								<span class="d-none d-md-block"><span class="clr-1 fw-700">Call Now</span><br>
									<span class="fw-700">+1 855-696-3528</span></span>
								<span class="icon-phone ms-2 icon"></span>
							</a>
						</div>
						<div class="col-xl-3  col-md-4 col-8">
							<button class="w-100" data-bs-toggle="modal" data-bs-target="#quote">
								★ ★ Get Started ★ ★
							</button>
						</div>
						<div class="col-lg-3 col-md-4 col-2">

							<a href="javascript:void(Tawk_API.toggle())" aria-label="Chat with a publishing expert"
								class="chat icona text-start d-flex align-items-center  justify-content-start">
								<span class="icon-chat me-2 icon"></span>
								<span class="d-none d-md-block"><span class="clr-1 fw-700">Let's Talk</span><br>
									<span class="fw-700">Chat With Us</span></span>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>


	<section class="py-3 publishing platforms">
		<div class="container-xl">
			<div class="slider">
				<div class="item p-3">
					<img alt="book marketing consultant" data-lazy="assets/img/platforms/1.webp">
				</div>
				<div class="item p-3">
					<img alt="book promotion packages" data-lazy="assets/img/platforms/2.webp">
				</div>
				<div class="item p-3">
					<img alt="self-published book marketing" data-lazy="assets/img/platforms/3.webp">
				</div>
				<div class="item p-3">
					<img alt="book marketing plan" data-lazy="assets/img/platforms/4.webp">
				</div>
				<div class="item p-3">
					<img alt="book marketing company USA" data-lazy="assets/img/platforms/5.webp">
				</div>
				<div class="item p-3">
					<img alt="book marketing company USA" data-lazy="assets/img/platforms/6.webp">
				</div>
				<div class="item p-3">
					<img alt="book promotion techniques" data-lazy="assets/img/platforms/7.webp">
				</div>
				<div class="item p-3">
					<img alt="book marketing professionals" data-lazy="assets/img/platforms/8.webp">
				</div>
				<div class="item p-3">
					<img alt="author branding services" data-lazy="assets/img/platforms/9.webp">
				</div>
				<div class="item p-3">
					<img alt="book marketing specialist" data-lazy="assets/img/platforms/10.webp">
				</div>
			</div>
		</div>
	</section>

	<script type="text/javascript">
		var text = ['Advertising', 'Promoting', 'Publishing', 'Marketing'];

		var index = 0;

		function changeText() {
			document.getElementById("text").innerText = text[index];
			index = (index + 1) % 4;
		}

		var interval = window.setInterval(changeText, 5000);

		window.onunload = function () {
			window.clearInterval(interval);
		}
	</script>



	<section class="portfolio">
		<div class="bg-light py-5">
			<div class="container pb-5 mb-5">
				<div class="row text-center justify-content-center">
					<div class="col-lg-8 col-md-10">
						<h2 class="f-40 clr-2 fw-700">Our Released Work:</h2>
						<p>Go through our published work. Mystical Publishers has helped hundreds of authors achieve
							their publishing goals. Our dedication to commitment, creativity and values distinguishes us
							in the industry, making us a preferred choice of authors worldwide. </p>
					</div>
				</div>
			</div>
		</div>
		<div>
			<div class="container-xl p-s">
				<div class="portfolio-slider">
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/2023 Brooks Range Sheep Hunt.webp"
								alt="2023 Brooks Range Sheep Hunt by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Becoming Self-Full Not Selfish.webp"
								alt="Becoming Self-Full Not Selfish by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Chronicales of Valance of Valor.webp"
								alt="Chronicales of Valance of Valor by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Leaders Say No Still Working on it.webp"
								alt="Leaders Say No Still Working on it by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Magical BBQ All The MEat of Moo And Oink.webp"
								alt="Magical BBQ All The MEat of Moo And Oink by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Self Csre Monthly.webp"
								alt="Self Csre Monthly by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Sex Love Money And Then God.webp"
								alt="Sex Love Money And Then God by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Tell Me About Good Friday.webp"
								alt="Tell Me About Good Friday by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/The Cul-de-sac Kids Fears.webp"
								alt="The Cul-de-sac Kids Fears by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/The Dream A Reason To Kill.webp"
								alt="The Dream A Reason To Kill by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/The Four Gremlins.webp"
								alt="The Four Gremlins by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/The Magic Ant.webp"
								alt="The Magic Ant by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Triggered To hange My Path To Resilency.webp"
								alt="Triggered To hange My Path To Resilency by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Who's Your BBQ Daddy.webp"
								alt="Who's Your BBQ Daddy by Mystical Publishers" />
						</div>
					</div>
					<div class="item  py-3">
						<div class="gallery">
							<img data-lazy="assets/img/portfolio/Wilder Skies How Mankind's War On the nature Began.webp"
								alt="Wilder Skies How Mankind's War On the nature Began by Mystical Publishers" />
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>

	<main class="container py-5 mt-5 process">
		<section class="row text-center justify-content-center process-head">
			<div class="col-lg-8 col-md-10">
				<h2 class="f-36 clr-2">The Mystical Publishers Marketing Process</h2>
			</div>
		</section>

		<section class="row process-step py-5 clr-l text-center text-md-start">
			<div class="number col-md-2">
				<span class="heading f-55 fw-700">01</span>
			</div>
			<div class="col-md-10">
				<h3 class="f-18">Book Introduction Strategy</h3>
				<p>We help you craft a strong marketing plan, define your target audience, and set clear goals.</p>
			</div>
		</section>
		<section class="row process-step py-5 clr-l text-center text-md-start">
			<div class="number col-md-2">
				<span class="heading f-55 fw-700">02</span>
			</div>
			<div class="col-10">
				<h3 class="f-18">The Online Promotion Process</h3>
				<p>We use engaging digital platforms to reach your target audience through social media marketing and
					email marketing. </p>
			</div>
		</section>
		<section class="row process-step py-5 clr-l text-center text-md-start">

			<div class="number col-md-2">
				<span class="heading f-55 fw-700">03</span>
			</div>
			<div class="col-md-10">
				<h3 class="f-18">Offline Promotion</h3>
				<p>We arrange events such as book fairs and author signings. Creating opportunities to connect with
					readers directly. </p>
			</div>
		</section>
		<section class="row process-step py-5 clr-l text-center text-md-start">
			<div class="number col-md-2">
				<span class="heading f-55 fw-700">04</span>
			</div>
			<div class="col-md-10">
				<h3 class="f-18">Book Reviews and Feedback</h3>
				<p>We promote reviews and utilize personal recommendations to enhance your book's reputation. </p>
			</div>
		</section>
	</main>



	<section class="position-relative py-5">
		<div class="cta bg-2 bg clr-l text-center container-xl">
			<div class="row justify-content-center align-items-center	">
				<div class="col-lg-3 col-6 p-0  d-none d-lg-block">
					<img class="lozad cta-left" alt="Book marketing experts" data-src="assets/img/cta-left.webp">
				</div>
				<div class="col-lg-6 col-md-8 col-11 align-self-center	py-4	">
					<h2 class="f-30">Spread Your Story Far and Wide With the Mystical Publishers</h2>
					<p>Look No Further. Reach our book marketing service and take a step closer to success. Our
						professional team is available to assist you around the clock. </p>
					<div class="row justify-content-center align-items-center">
						<div class="col-lg-4 col-md-4 col-2">
							<a href="tel:+18556963528" aria-label="Call Us now to discuss you project"
								class="icona d-flex align-items-center  justify-content-end text-end">

								<span class="d-none d-md-block"><span class="clr-1 fw-700">Call Now</span><br>
									<span class="fw-700">+1 855-696-3528</span></span>
								<span class="icon-phone ms-2 icon"></span>
							</a>
						</div>
						<div class="col-lg-4  col-md-4 col-8">
							<button class="w-100" data-bs-toggle="modal" data-bs-target="#quote">
								★ ★ Get Started ★ ★
							</button>
						</div>
						<div class="col-lg-4 col-md-4 col-2">

							<a href="javascript:void(Tawk_API.toggle())" aria-label="Chat with a publishing expert"
								class="chat icona text-start d-flex align-items-center  justify-content-start">
								<span class="icon-chat me-2 icon"></span>
								<span class="d-none d-md-block"><span class="clr-1 fw-700">Let's Talk</span><br>
									<span class="fw-700">Chat With Us</span></span>
							</a>
						</div>
					</div>
				</div>
				<div class="col-lg-3 col-4 p-0 d-none d-md-block">
					<img class="lozad cta-right" alt="online book promotion" data-src="assets/img/cta-right.webp">
				</div>
			</div>

		</div>

	</section>


	<section class="py-5 my-5 reviews ">
		<div class="container-xl ">
			<div class="row align-items-center">
				<div class="col-lg-4 col-md-6">
					<h2 class="f-45">What Our Clients Say:</h2>
					<p>At Mystical Publishers, our ultimate goal is to help a client achieve their desired goal. Our
						professional team works creatively to ensure that your book meets new heights. Here is what our
						loyal customers have to say about our book marketing services. </p>
				</div>

				<div class="col-lg-8 col-md-6">
					<div class="reviews-silder ">
						<div class="item px-5">
							<div class="box p-3">
								<p class="heading f-18 mb-0">Aria Loren </p>
								<p class="mb-0">I contacted the Mystical Publishers for book marketing, and I am truly
									impressed by their service. Their impressive marketing strategies helped me reach
									the right audience. </p>
							</div>
						</div>
						<div class="item px-5">
							<div class="box p-3">
								<p class="heading f-18 mb-0">Saren Era </p>
								<p class="mb-0">Mystical Publishers's marketing strategies and arrangement of a book
									fair for me were great ideas. I am truly impressed by this excellent technique. </p>
							</div>
						</div>
						<div class="item  px-5">
							<div class="box p-3">
								<p class="heading f-18 mb-0">Alexander</p>
								<p class="mb-0">I am really grateful to the Mystical Publishers for helping me reach a
									wider and correct audience through their marketing strategy. Their attention to
									detail at every angle is indeed impressive. </p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>

	<?php include 'includes/footer.php'; ?>

	<?php include 'includes/script.php'; ?>